- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Protected Member Functions | Friends

# FbxSurfaceMaterial Class Reference

This reference page is linked to from the following overview topics: Supported Scene Elements, Connections, FBX Scenes, FBX Nodes, Materials, List of Python Fbx classes.

Search for all occurrences

## Detailed Description

This class contains material settings.

Examples:

  ExportShader/main.cxx, ImportScene/DisplayMaterial.cxx, ImportScene/DisplayMesh.cxx, ImportScene/DisplayTexture.cxx, ViewScene/DrawScene.cxx, ViewScene/SceneCache.cxx, ViewScene/SceneCache.h, and ViewScene/SceneContext.cxx.

Definition at line 26 of file fbxsurfacematerial.h.

`#include <fbxsurfacematerial.h>`

Inheritance diagram for FbxSurfaceMaterial:
[legend]

List of all members.

## Protected Member Functions
bool | SetColorParameter (FbxProperty pProperty, FbxColor const &pColor)
bool | GetColorParameter (FbxProperty pProperty, FbxColor &pColor) const
bool | SetDoubleParameter (FbxProperty pProperty, double pDouble)
bool | GetDoubleParameter (FbxProperty pProperty, double pDouble) const
| FbxSurfaceMaterial (FbxManager &pManager, char const *pName)
virtual bool | ConstructProperties (bool pForceSet)
## Friends
class | FbxLayerContainer
## Standard Material Property Names
static char const * | sShadingModel
static char const * | sMultiLayer
static char const * | sEmissive
static char const * | sEmissiveFactor
static char const * | sAmbient
static char const * | sAmbientFactor
static char const * | sDiffuse
static char const * | sDiffuseFactor
static char const * | sSpecular
static char const * | sSpecularFactor
static char const * | sShininess
static char const * | sBump
static char const * | sNormalMap
static char const * | sBumpFactor
static char const * | sTransparentColor
static char const * | sTransparencyFactor
static char const * | sReflection
static char const * | sReflectionFactor
static char const * | sDisplacementColor
static char const * | sDisplacementFactor
static char const * | sVectorDisplacementColor
static char const * | sVectorDisplacementFactor
## Material Properties
FbxPropertyT< FbxString > | ShadingModel
FbxPropertyT< FbxBool > | MultiLayer
## Default property values
static const FbxBool | sMultiLayerDefault
static char const * | sShadingModelDefault

## Constructor & Destructor Documentation

FbxSurfaceMaterial | ( | FbxManager & | pManager,
|  | char const * | pName
| ) |  | `[protected]`

## Member Function Documentation

bool SetColorParameter | ( | FbxProperty | pProperty,
|  | FbxColor const & | pColor
| ) |  | `[protected]`

Search for all occurrences

bool GetColorParameter | ( | FbxProperty | pProperty,
|  | FbxColor & | pColor
| ) |  | const `[protected]`

Search for all occurrences

bool SetDoubleParameter | ( | FbxProperty | pProperty,
|  | double | pDouble
| ) |  | `[protected]`

Search for all occurrences

bool GetDoubleParameter | ( | FbxProperty | pProperty,
|  | double | pDouble
| ) |  | const `[protected]`

Search for all occurrences

virtual bool ConstructProperties | ( | bool | pForceSet | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxObject.

Reimplemented in FbxSurfaceLambert, and FbxSurfacePhong.

## Friends And Related Function Documentation

friend class FbxLayerContainer `[friend]`

Search for all occurrences

Definition at line 112 of file fbxsurfacematerial.h.

## Member Data Documentation

char const* sShadingModel `[static]`

Search for all occurrences

Definition at line 36 of file fbxsurfacematerial.h.

char const* sMultiLayer `[static]`

Search for all occurrences

Definition at line 37 of file fbxsurfacematerial.h.

char const* sEmissive `[static]`

Search for all occurrences

Examples:
  ImportScene/DisplayMesh.cxx, and ViewScene/SceneCache.cxx.

Definition at line 39 of file fbxsurfacematerial.h.

char const* sEmissiveFactor `[static]`

Search for all occurrences

Examples:
  ImportScene/DisplayMesh.cxx, and ViewScene/SceneCache.cxx.

Definition at line 40 of file fbxsurfacematerial.h.

char const* sAmbient `[static]`

Search for all occurrences

Examples:
  ImportScene/DisplayMesh.cxx, and ViewScene/SceneCache.cxx.

Definition at line 42 of file fbxsurfacematerial.h.

char const* sAmbientFactor `[static]`

Search for all occurrences

Examples:
  ImportScene/DisplayMesh.cxx, and ViewScene/SceneCache.cxx.

Definition at line 43 of file fbxsurfacematerial.h.

char const* sDiffuse `[static]`

Search for all occurrences

Examples:
  ImportScene/DisplayMesh.cxx, and ViewScene/SceneCache.cxx.

Definition at line 45 of file fbxsurfacematerial.h.

char const* sDiffuseFactor `[static]`

Search for all occurrences

Examples:
  ImportScene/DisplayMesh.cxx, and ViewScene/SceneCache.cxx.

Definition at line 46 of file fbxsurfacematerial.h.

char const* sSpecular `[static]`

Search for all occurrences

Examples:
  ImportScene/DisplayMesh.cxx, and ViewScene/SceneCache.cxx.

Definition at line 48 of file fbxsurfacematerial.h.

char const* sSpecularFactor `[static]`

Search for all occurrences

Examples:
  ImportScene/DisplayMesh.cxx, and ViewScene/SceneCache.cxx.

Definition at line 49 of file fbxsurfacematerial.h.

char const* sShininess `[static]`

Search for all occurrences

Examples:
  ImportScene/DisplayMesh.cxx, and ViewScene/SceneCache.cxx.

Definition at line 50 of file fbxsurfacematerial.h.

char const* sBump `[static]`

Search for all occurrences

Examples:
  ImportScene/DisplayMesh.cxx.

Definition at line 52 of file fbxsurfacematerial.h.

char const* sNormalMap `[static]`

Search for all occurrences

Examples:
  ImportScene/DisplayMesh.cxx.

Definition at line 53 of file fbxsurfacematerial.h.

char const* sBumpFactor `[static]`

Search for all occurrences

Definition at line 54 of file fbxsurfacematerial.h.

char const* sTransparentColor `[static]`

Search for all occurrences

Examples:
  ImportScene/DisplayMesh.cxx.

Definition at line 56 of file fbxsurfacematerial.h.

char const* sTransparencyFactor `[static]`

Search for all occurrences

Examples:
  ImportScene/DisplayMesh.cxx.

Definition at line 57 of file fbxsurfacematerial.h.

char const* sReflection `[static]`

Search for all occurrences

Examples:
  ImportScene/DisplayMesh.cxx.

Definition at line 59 of file fbxsurfacematerial.h.

char const* sReflectionFactor `[static]`

Search for all occurrences

Examples:
  ImportScene/DisplayMesh.cxx.

Definition at line 60 of file fbxsurfacematerial.h.

char const* sDisplacementColor `[static]`

Search for all occurrences

Definition at line 62 of file fbxsurfacematerial.h.

char const* sDisplacementFactor `[static]`

Search for all occurrences

Definition at line 63 of file fbxsurfacematerial.h.

char const* sVectorDisplacementColor `[static]`

Search for all occurrences

Definition at line 65 of file fbxsurfacematerial.h.

char const* sVectorDisplacementFactor `[static]`

Search for all occurrences

Definition at line 66 of file fbxsurfacematerial.h.

FbxPropertyT<FbxString> ShadingModel

Search for all occurrences

Examples:
  ExportDocument/main.cxx, ExportScene03/main.cxx, ImportScene/DisplayMaterial.cxx, and Layers/main.cxx.

Definition at line 73 of file fbxsurfacematerial.h.

FbxPropertyT<FbxBool> MultiLayer

Search for all occurrences

Definition at line 74 of file fbxsurfacematerial.h.

const FbxBool sMultiLayerDefault `[static]`

Search for all occurrences

Definition at line 86 of file fbxsurfacematerial.h.

char const* sShadingModelDefault `[static]`

Search for all occurrences

Definition at line 87 of file fbxsurfacematerial.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/shading/fbxsurfacematerial.h

FbxSurfaceMaterial FbxSurfaceMaterial FbxSurfaceMaterial FbxSurfaceMaterial FbxSurfaceMaterial FbxSurfaceMaterial FbxSurfaceMaterial FbxSurfaceMaterial FbxSurfaceMaterial FbxSurfaceMaterial
FbxSurfaceMaterial FbxSurfaceMaterial FbxSurfaceMaterial FbxSurfaceMaterial FbxSurfaceMaterial FbxSurfaceMaterial FbxSurfaceMaterial FbxSurfaceMaterial FbxSurfaceMaterial FbxSurfaceMaterial